<a id="mypy-boto3-lexv2-models"></a>

# mypy-boto3-lexv2-models

[![PyPI - types-aiobotocore-lexv2-models](https://img.shields.io/pypi/v/types-aiobotocore-lexv2-models.svg?color=blue)](https://pypi.org/project/types-aiobotocore-lexv2-models)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-lexv2-models.svg?color=blue)](https://pypi.org/project/types-aiobotocore-lexv2-models)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-lexv2-models?color=blue)](https://pypistats.org/packages/types-aiobotocore-lexv2-models)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[boto3.LexModelsV2 1.20.47](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/lexv2-models.html#LexModelsV2)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.4.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[types-aiobotocore-lexv2-models docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_lexv2_models/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/main/demo.gif)

- [mypy-boto3-lexv2-models](#mypy-boto3-lexv2-models)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Waiters annotations](#waiters-annotations)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `LexModelsV2`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `LexModelsV2` service.

```bash
# install with aiobotocore type annotations
python -m pip install 'types-aiobotocore[lexv2-models]'

# Lite version does not provide session.create_client overloads
# it is more RAM-friendly, but requires explicit type annotations
python -m pip install 'types-aiobotocore-lite[lexv2-models]'

# standalone installation
python -m pip install types-aiobotocore-lexv2-models
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[lexv2-models]` in your environment:
  `python -m pip install 'types-aiobotocore[lexv2-models]'`

Both type checking and auto-complete should work for `LexModelsV2` service. No
explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `types-aiobotocore[lexv2-models]` in your environment:
  `python -m pip install 'types-aiobotocore[lexv2-models]'`

Both type checking and auto-complete should work for `LexModelsV2` service. No
explicit type annotations required, write your `aiobotocore` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`types-aiobotocore` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[lexv2-models]` in your environment:
  `python -m pip install 'types-aiobotocore[lexv2-models]'`
- Run `mypy` as usual

Type checking should work for `LexModelsV2` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `types-aiobotocore[lexv2-models]` in your environment:
  `python -m pip install 'types-aiobotocore[lexv2-models]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `LexModelsV2` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`LexModelsV2Client` provides annotations for
`session.create_client("lexv2-models")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_lexv2_models import LexModelsV2Client

session = get_session()
async with session.create_client("lexv2-models") as client:
    client: LexModelsV2Client
    # now client usage is checked by mypy and IDE should provide code auto-complete
```

<a id="waiters-annotations"></a>

### Waiters annotations

`types_aiobotocore_lexv2_models.waiter` module contains type annotations for
all waiters.

````python
from aiobotocore.session import get_session

from types_aiobotocore_lexv2_models.client import LexModelsV2Client
from types_aiobotocore_lexv2_models.waiter import (
    BotAliasAvailableWaiter,
    BotAvailableWaiter,
    BotExportCompletedWaiter,
    BotImportCompletedWaiter,
    BotLocaleBuiltWaiter,
    BotLocaleCreatedWaiter,
    BotLocaleExpressTestingAvailableWaiter,
    BotVersionAvailableWaiter,
)

session = get_session()
async with session.create_client("lexv2-models") as client:
    client: LexModelsV2Client

    # Explicit type annotations are optional here
    # Type should be correctly discovered by mypy and IDEs
    # VSCode requires explicit type annotations
        bot_alias_available_waiter: BotAliasAvailableWaiter = client.get_waiter("bot_alias_available")
        bot_available_waiter: BotAvailableWaiter = client.get_waiter("bot_available")
        bot_export_completed_waiter: BotExportCompletedWaiter = client.get_waiter("bot_export_completed")
        bot_import_completed_waiter: BotImportCompletedWaiter = client.get_waiter("bot_import_completed")
        bot_locale_built_waiter: BotLocaleBuiltWaiter = client.get_waiter("bot_locale_built")
        bot_locale_created_waiter: BotLocaleCreatedWaiter = client.get_waiter("bot_locale_created")
        bot_locale_express_testing_available_waiter: BotLocaleExpressTestingAvailableWaiter = client.get_waiter("bot_locale_express_testing_available")
        bot_version_available_waiter: BotVersionAvailableWaiter = client.get_waiter("bot_version_available")
    ```





### Literals

`types_aiobotocore_lexv2_models.literals` module contains literals extracted from shapes
that can be used in user code for type checking.

```python
from types_aiobotocore_lexv2_models.literals import (
    AggregatedUtterancesFilterNameType,
    AggregatedUtterancesFilterOperatorType,
    AggregatedUtterancesSortAttributeType,
    AssociatedTranscriptFilterNameType,
    BotAliasAvailableWaiterName,
    BotAliasStatusType,
    BotAvailableWaiterName,
    BotExportCompletedWaiterName,
    BotFilterNameType,
    BotFilterOperatorType,
    BotImportCompletedWaiterName,
    BotLocaleBuiltWaiterName,
    BotLocaleCreatedWaiterName,
    BotLocaleExpressTestingAvailableWaiterName,
    BotLocaleFilterNameType,
    BotLocaleFilterOperatorType,
    BotLocaleSortAttributeType,
    BotLocaleStatusType,
    BotRecommendationStatusType,
    BotSortAttributeType,
    BotStatusType,
    BotVersionAvailableWaiterName,
    BotVersionSortAttributeType,
    BuiltInIntentSortAttributeType,
    BuiltInSlotTypeSortAttributeType,
    EffectType,
    ExportFilterNameType,
    ExportFilterOperatorType,
    ExportSortAttributeType,
    ExportStatusType,
    ImportExportFileFormatType,
    ImportFilterNameType,
    ImportFilterOperatorType,
    ImportSortAttributeType,
    ImportStatusType,
    IntentFilterNameType,
    IntentFilterOperatorType,
    IntentSortAttributeType,
    MergeStrategyType,
    ObfuscationSettingTypeType,
    SearchOrderType,
    SlotConstraintType,
    SlotFilterNameType,
    SlotFilterOperatorType,
    SlotSortAttributeType,
    SlotTypeCategoryType,
    SlotTypeFilterNameType,
    SlotTypeFilterOperatorType,
    SlotTypeSortAttributeType,
    SlotValueResolutionStrategyType,
    SortOrderType,
    TimeDimensionType,
    TranscriptFormatType,
    VoiceEngineType,
    ServiceName,
    WaiterName,
)

def check_value(value: AggregatedUtterancesFilterNameType) -> bool:
    ...
````

### Typed dictionaries

`types_aiobotocore_lexv2_models.type_defs` module contains structures and
shapes assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_lexv2_models.type_defs import (
    AggregatedUtterancesFilterTypeDef,
    AggregatedUtterancesSortByTypeDef,
    AggregatedUtterancesSummaryTypeDef,
    AssociatedTranscriptFilterTypeDef,
    AssociatedTranscriptTypeDef,
    AudioLogDestinationTypeDef,
    AudioLogSettingTypeDef,
    BotAliasHistoryEventTypeDef,
    BotAliasLocaleSettingsTypeDef,
    BotAliasSummaryTypeDef,
    BotExportSpecificationTypeDef,
    BotFilterTypeDef,
    BotImportSpecificationTypeDef,
    BotLocaleExportSpecificationTypeDef,
    BotLocaleFilterTypeDef,
    BotLocaleHistoryEventTypeDef,
    BotLocaleImportSpecificationTypeDef,
    BotLocaleSortByTypeDef,
    BotLocaleSummaryTypeDef,
    BotRecommendationResultStatisticsTypeDef,
    BotRecommendationResultsTypeDef,
    BotRecommendationSummaryTypeDef,
    BotSortByTypeDef,
    BotSummaryTypeDef,
    BotVersionLocaleDetailsTypeDef,
    BotVersionSortByTypeDef,
    BotVersionSummaryTypeDef,
    BuildBotLocaleRequestRequestTypeDef,
    BuildBotLocaleResponseTypeDef,
    BuiltInIntentSortByTypeDef,
    BuiltInIntentSummaryTypeDef,
    BuiltInSlotTypeSortByTypeDef,
    BuiltInSlotTypeSummaryTypeDef,
    ButtonTypeDef,
    CloudWatchLogGroupLogDestinationTypeDef,
    CodeHookSpecificationTypeDef,
    ConversationLogSettingsTypeDef,
    CreateBotAliasRequestRequestTypeDef,
    CreateBotAliasResponseTypeDef,
    CreateBotLocaleRequestRequestTypeDef,
    CreateBotLocaleResponseTypeDef,
    CreateBotRequestRequestTypeDef,
    CreateBotResponseTypeDef,
    CreateBotVersionRequestRequestTypeDef,
    CreateBotVersionResponseTypeDef,
    CreateExportRequestRequestTypeDef,
    CreateExportResponseTypeDef,
    CreateIntentRequestRequestTypeDef,
    CreateIntentResponseTypeDef,
    CreateResourcePolicyRequestRequestTypeDef,
    CreateResourcePolicyResponseTypeDef,
    CreateResourcePolicyStatementRequestRequestTypeDef,
    CreateResourcePolicyStatementResponseTypeDef,
    CreateSlotRequestRequestTypeDef,
    CreateSlotResponseTypeDef,
    CreateSlotTypeRequestRequestTypeDef,
    CreateSlotTypeResponseTypeDef,
    CreateUploadUrlResponseTypeDef,
    CustomPayloadTypeDef,
    DataPrivacyTypeDef,
    DateRangeFilterTypeDef,
    DeleteBotAliasRequestRequestTypeDef,
    DeleteBotAliasResponseTypeDef,
    DeleteBotLocaleRequestRequestTypeDef,
    DeleteBotLocaleResponseTypeDef,
    DeleteBotRequestRequestTypeDef,
    DeleteBotResponseTypeDef,
    DeleteBotVersionRequestRequestTypeDef,
    DeleteBotVersionResponseTypeDef,
    DeleteExportRequestRequestTypeDef,
    DeleteExportResponseTypeDef,
    DeleteImportRequestRequestTypeDef,
    DeleteImportResponseTypeDef,
    DeleteIntentRequestRequestTypeDef,
    DeleteResourcePolicyRequestRequestTypeDef,
    DeleteResourcePolicyResponseTypeDef,
    DeleteResourcePolicyStatementRequestRequestTypeDef,
    DeleteResourcePolicyStatementResponseTypeDef,
    DeleteSlotRequestRequestTypeDef,
    DeleteSlotTypeRequestRequestTypeDef,
    DeleteUtterancesRequestRequestTypeDef,
    DescribeBotAliasRequestRequestTypeDef,
    DescribeBotAliasResponseTypeDef,
    DescribeBotLocaleRequestRequestTypeDef,
    DescribeBotLocaleResponseTypeDef,
    DescribeBotRecommendationRequestRequestTypeDef,
    DescribeBotRecommendationResponseTypeDef,
    DescribeBotRequestRequestTypeDef,
    DescribeBotResponseTypeDef,
    DescribeBotVersionRequestRequestTypeDef,
    DescribeBotVersionResponseTypeDef,
    DescribeExportRequestRequestTypeDef,
    DescribeExportResponseTypeDef,
    DescribeImportRequestRequestTypeDef,
    DescribeImportResponseTypeDef,
    DescribeIntentRequestRequestTypeDef,
    DescribeIntentResponseTypeDef,
    DescribeResourcePolicyRequestRequestTypeDef,
    DescribeResourcePolicyResponseTypeDef,
    DescribeSlotRequestRequestTypeDef,
    DescribeSlotResponseTypeDef,
    DescribeSlotTypeRequestRequestTypeDef,
    DescribeSlotTypeResponseTypeDef,
    DialogCodeHookSettingsTypeDef,
    EncryptionSettingTypeDef,
    ExportFilterTypeDef,
    ExportResourceSpecificationTypeDef,
    ExportSortByTypeDef,
    ExportSummaryTypeDef,
    ExternalSourceSettingTypeDef,
    FulfillmentCodeHookSettingsTypeDef,
    FulfillmentStartResponseSpecificationTypeDef,
    FulfillmentUpdateResponseSpecificationTypeDef,
    FulfillmentUpdatesSpecificationTypeDef,
    GrammarSlotTypeSettingTypeDef,
    GrammarSlotTypeSourceTypeDef,
    ImageResponseCardTypeDef,
    ImportFilterTypeDef,
    ImportResourceSpecificationTypeDef,
    ImportSortByTypeDef,
    ImportSummaryTypeDef,
    InputContextTypeDef,
    IntentClosingSettingTypeDef,
    IntentConfirmationSettingTypeDef,
    IntentFilterTypeDef,
    IntentSortByTypeDef,
    IntentStatisticsTypeDef,
    IntentSummaryTypeDef,
    KendraConfigurationTypeDef,
    LambdaCodeHookTypeDef,
    LexTranscriptFilterTypeDef,
    ListAggregatedUtterancesRequestRequestTypeDef,
    ListAggregatedUtterancesResponseTypeDef,
    ListBotAliasesRequestRequestTypeDef,
    ListBotAliasesResponseTypeDef,
    ListBotLocalesRequestRequestTypeDef,
    ListBotLocalesResponseTypeDef,
    ListBotRecommendationsRequestRequestTypeDef,
    ListBotRecommendationsResponseTypeDef,
    ListBotVersionsRequestRequestTypeDef,
    ListBotVersionsResponseTypeDef,
    ListBotsRequestRequestTypeDef,
    ListBotsResponseTypeDef,
    ListBuiltInIntentsRequestRequestTypeDef,
    ListBuiltInIntentsResponseTypeDef,
    ListBuiltInSlotTypesRequestRequestTypeDef,
    ListBuiltInSlotTypesResponseTypeDef,
    ListExportsRequestRequestTypeDef,
    ListExportsResponseTypeDef,
    ListImportsRequestRequestTypeDef,
    ListImportsResponseTypeDef,
    ListIntentsRequestRequestTypeDef,
    ListIntentsResponseTypeDef,
    ListRecommendedIntentsRequestRequestTypeDef,
    ListRecommendedIntentsResponseTypeDef,
    ListSlotTypesRequestRequestTypeDef,
    ListSlotTypesResponseTypeDef,
    ListSlotsRequestRequestTypeDef,
    ListSlotsResponseTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    MessageGroupTypeDef,
    MessageTypeDef,
    MultipleValuesSettingTypeDef,
    ObfuscationSettingTypeDef,
    OutputContextTypeDef,
    PathFormatTypeDef,
    PlainTextMessageTypeDef,
    PostFulfillmentStatusSpecificationTypeDef,
    PrincipalTypeDef,
    PromptSpecificationTypeDef,
    RecommendedIntentSummaryTypeDef,
    RelativeAggregationDurationTypeDef,
    ResponseMetadataTypeDef,
    ResponseSpecificationTypeDef,
    S3BucketLogDestinationTypeDef,
    S3BucketTranscriptSourceTypeDef,
    SSMLMessageTypeDef,
    SampleUtteranceTypeDef,
    SampleValueTypeDef,
    SearchAssociatedTranscriptsRequestRequestTypeDef,
    SearchAssociatedTranscriptsResponseTypeDef,
    SentimentAnalysisSettingsTypeDef,
    SlotDefaultValueSpecificationTypeDef,
    SlotDefaultValueTypeDef,
    SlotFilterTypeDef,
    SlotPriorityTypeDef,
    SlotSortByTypeDef,
    SlotSummaryTypeDef,
    SlotTypeFilterTypeDef,
    SlotTypeSortByTypeDef,
    SlotTypeStatisticsTypeDef,
    SlotTypeSummaryTypeDef,
    SlotTypeValueTypeDef,
    SlotValueElicitationSettingTypeDef,
    SlotValueRegexFilterTypeDef,
    SlotValueSelectionSettingTypeDef,
    StartBotRecommendationRequestRequestTypeDef,
    StartBotRecommendationResponseTypeDef,
    StartImportRequestRequestTypeDef,
    StartImportResponseTypeDef,
    StillWaitingResponseSpecificationTypeDef,
    TagResourceRequestRequestTypeDef,
    TextLogDestinationTypeDef,
    TextLogSettingTypeDef,
    TranscriptFilterTypeDef,
    TranscriptSourceSettingTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateBotAliasRequestRequestTypeDef,
    UpdateBotAliasResponseTypeDef,
    UpdateBotLocaleRequestRequestTypeDef,
    UpdateBotLocaleResponseTypeDef,
    UpdateBotRecommendationRequestRequestTypeDef,
    UpdateBotRecommendationResponseTypeDef,
    UpdateBotRequestRequestTypeDef,
    UpdateBotResponseTypeDef,
    UpdateExportRequestRequestTypeDef,
    UpdateExportResponseTypeDef,
    UpdateIntentRequestRequestTypeDef,
    UpdateIntentResponseTypeDef,
    UpdateResourcePolicyRequestRequestTypeDef,
    UpdateResourcePolicyResponseTypeDef,
    UpdateSlotRequestRequestTypeDef,
    UpdateSlotResponseTypeDef,
    UpdateSlotTypeRequestRequestTypeDef,
    UpdateSlotTypeResponseTypeDef,
    UtteranceAggregationDurationTypeDef,
    VoiceSettingsTypeDef,
    WaitAndContinueSpecificationTypeDef,
    WaiterConfigTypeDef,
)

def get_structure() -> AggregatedUtterancesFilterTypeDef:
    return {
      ...
    }
```

## Versioning

`types-aiobotocore-lexv2-models` version is the same as related `boto3` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

## Documentation

All type annotations can be found in
[types-aiobotocore-lexv2-models docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_lexv2_models/)

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
